---
c: Copyright (C) Daniel Stenberg, <daniel@haxx.se>, et al.
SPDX-License-Identifier: curl
Long: data-ascii
Arg: <data>
Help: HTTP POST ASCII data
Protocols: HTTP
Category: http post upload
Added: 7.2
Multi: append
See-also:
  - data-binary
  - data-raw
  - data-urlencode
Example:
  - --data-ascii @file $URL
---

# `--data-ascii`

This option is just an alias for --data.
